## org.eclipse.datatools.sqltools.sqlbuilder.dialogs
Class SQLBuilderRevertActionDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.IconAndMessageDialog
                  org.eclipse.jface.dialogs.MessageDialog
                      org.eclipse.datatools.sqltools.sqlbuilder.dialogs.SQLBuilderRevertActionDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class SQLBuilderRevertActionDialog

extends org.eclipse.jface.dialogs.MessageDialog

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.MessageDialog
`CONFIRM, ERROR, INFORMATION, NONE, QUESTION, QUESTION_WITH_CANCEL, WARNING`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`SQLBuilderRevertActionDialog(org.eclipse.swt.widgets.Shell shell, java.lang.String title, org.eclipse.swt.graphics.Image image, java.lang.String message, int imageType, java.lang.String[] buttonLabels, int defaultIndex)`

Method Summary
`java.lang.String` `getProperSourceString()`
`void` `setProperSourceString(java.lang.String proper)`

Methods inherited from class org.eclipse.jface.dialogs.MessageDialog
`getImage, open, open, openConfirm, openError, openInformation, openQuestion, openWarning`

Methods inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog
`getErrorImage, getInfoImage, getQuestionImage, getWarningImage`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLBuilderRevertActionDialog

    public SQLBuilderRevertActionDialog(org.eclipse.swt.widgets.Shell shell,
                                        java.lang.String title,
                                        org.eclipse.swt.graphics.Image image,
                                        java.lang.String message,
                                        int imageType,
                                        java.lang.String[] buttonLabels,
                                        int defaultIndex)

Method Detail

### setProperSourceString

    public void setProperSourceString(java.lang.String proper)

### getProperSourceString

    public java.lang.String getProperSourceString()